/**
 * 
 */
package de.mpc.prolic.exceptions;

/**
 * Exception is thrown if no values are available for this member of the Biomolecule instance. This may occur either if an inappropriate Biomolecule type 
 * is invoked or if no information is assigned to the fields while reading the input files.
 * @author Michael Kohl
 *
 */
public class MissingMemberException extends RuntimeException {


	/**
	 * 
	 */
	private static final long serialVersionUID = 314177460731273210L;

	/**
	 * Empty Constructor
	 */
	public MissingMemberException() {

	}

	/**
	 * @param message
	 */
	public MissingMemberException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public MissingMemberException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public MissingMemberException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 * @param cause
	 * @param enableSuppression
	 * @param writableStackTrace
	 */
	public MissingMemberException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
