/**
 * 
 */
package de.mpc.prolic.model;

import java.util.Vector;



/**
 * This class encapsulates a set of two biomolecules that pass the test for identity along with the utilized comaparison method, the score
 * obtained from a sequence based comparison and a string representation of the comparison result in case of a sequence based comparison 
 * (i.e. the aligned strings and an identification of the aligned positions and the existing gaps etc.) 
 * The latter two members are implemented for future extensions of ProLiC. 
 * @author Michael Kohl
 *
 */
public class BiomoleculePair {

//Member
	private Vector <Biomolecule> biomoleculePair;		//Vector of two biomolecules that passed the similarity criteria. 
	private String comparisonMethod;					//Comparison method that is utilized to calculate identity between two biolmolecules.
	private String comparisonResult; 					//Stores a string representation of the comparison result in case of a sequence based comparison
														//(i.e. the aligned strings and an identification of the aligned positions and the existing gaps etc.).
	private double sequenceComparisonScore;				//Stores the score obtained from a sequence based comparison.
	/**
	 * 
	 */
	public BiomoleculePair() {
		biomoleculePair = new Vector <Biomolecule> ();
	}
	
	public void addBiomolecule (Biomolecule aBM){
		this.biomoleculePair.add(aBM);
	}

	/*******************************************************************************
	 * Setter and Getter
	 ******************************************************************************/
	public Vector <Biomolecule>  getBiomoleculePair(){
		return this.biomoleculePair;
	}
	
	public void setBiomoleculePair(Vector <Biomolecule> biomoleculePair_){
		this.biomoleculePair=biomoleculePair_;
	}
	
	public String getComparisonMethod(){
		return this.comparisonMethod;
	}


	public void setComparisonMethod(String comparisonMethod){
		this.comparisonMethod=comparisonMethod;
	}


	public String getComparisonResult(){
		return this.comparisonResult;
	}

	public void setComparisonResult(String comparisonResult){
		this.comparisonResult=comparisonResult;
	}
	
	public double getSequenceComparisonScore(){
		return sequenceComparisonScore;
	}
	public void setSequenceComparisonScore(double seqScore){
		this.sequenceComparisonScore=seqScore;
	}
}
