/**
 * 
 */
package de.mpc.prolic.model;
import java.util.ArrayList;

/**
 * Representation of a Gene. This class is designed for future versions of ProLiC that consider also gene information and is currently not in use.
 * @author Michael Kohl
 */
public class Gene extends Biomolecule{
	
	/*******************************************************************************
	 * Members
	 ******************************************************************************/	
	private ArrayList<Transcript> transcripts;	//The Transcripts for whom expression levels are measured in this specific experiment. 
												/*A collection is necessary, because due to alternative splicing many transcripts may 
												arise from a single gene.*/		
	/*******************************************************************************
	 * Constructors
	 ******************************************************************************/
	/**
	 * Empty Constructor
	 */
	public Gene() {
		
	}

	/**
	 * @param sequence_
	 */
	public Gene(String sequence_, String origin_) {
		super(sequence_, origin_);
	}
	
	/*******************************************************************************
	 * Setter and Getter
	 ******************************************************************************/
	
	public ArrayList<Transcript> getTranscripts(){
		return transcripts;
	}
	
	public void setTranscripts(ArrayList<Transcript> transcripts_){
		transcripts = transcripts_;
	}
}
