/**
 * 
 */
package de.mpc.prolic.model;

/**
 * Representation of a peptide, usually created by means of protein digestion.
 * @author Michael Kohl
 */
public class Peptide extends Biomolecule {

	/*******************************************************************************
	 * Members
	 ******************************************************************************/	
	private Protein relatedProt; 				//Each peptide has a reference to its origin, i.e the protein, which is inferred for this peptide (more 
												//precisely for the protein - spectrum - match (PSM) by the used protein inference algorithm. 
	/*******************************************************************************
	 * Constructors
	 ******************************************************************************/
	/**
	 * Empty Constructor
	 */
	public Peptide() {
		
	}
	
	/**
	 * @param sequence_
	 */
	public Peptide(String sequence_) {
		super(sequence_);
	}
	
	/*******************************************************************************
	 * Setter and Getter
	 ******************************************************************************/
	public Protein getRelatedProt(){
		return relatedProt;
	}
	
	public void setRelatedProt(Protein relatedProt_){
		relatedProt = relatedProt_;
	}	
}
